%define pkg_name        DBIx-ContextualFetch
%define pkg_version     1.03
%define rpm_pkg_version 1.03
%define rpm_pkg_release 2.n0i.10

Summary:       Add contextual fetches to DBI
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TM/TMTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(DBI) >= 1.35
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(DBI) >= 1.35}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.11}


%description
DBIx::ContextualFetch redefines some of the various fetch methods to fix
this oversight. It also adds a few new methods for convenience (though not
necessarily efficiency).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.03-2.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.03-1.n0i.9
- version 1.03

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.02-2.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.7
- automatic rebuild (perl 5.8.6)

* Tue Jan 04 2005 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.6
- version 1.02

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:1.01-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.01-1.n0i.4
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:1.01-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:1.01-1.n0i.1
- version 1.01
- spec file (re?)created using N0i::CPAN::RPMizer/2004022501
